From: Boyuan Yang <byang@debian.org>
Date: Wed, 6 Feb 2019 10:01:32 -0500
Subject: Makefile: respect buildflags in environment variables

---
 Makefile | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index 0cc58a5..8cfe2cd 100644
--- a/Makefile
+++ b/Makefile
@@ -6,7 +6,11 @@ TARG=tcs
 OFILES=tcs.$O conv_jis.$O conv_big5.$O conv_gb.$O utf.$O kuten208.$O \
 	gb.$O big5.$O version.$O conv_ksc.$O ksc.$O
 #SGIFLAGS= -ansiposix -woff 100			# SGI flags
-CFLAGS= -D_POSIX_SOURCE $(SGIFLAGS)
+ifeq ($(CFLAGS),)
+    CFLAGS = -D_POSIX_SOURCE $(SGIFLAGS)
+else
+    CFLAGS += -D_POSIX_SOURCE $(SGIFLAGS)
+endif
 
 $(TARG):	$(OFILES)
 	$(CC) $(CFLAGS) -o $@ $(OFILES)
